# norootforbuild

%define name      amrwb
%define ver       7.0.0.3
%define rel       1
%define major     3
%define lib       libamrwb
%define libname   %{lib}%{major}

Name:           %{name}
Summary:        Adaptive Multi-Rate - Wideband (AMR-WB) Speech Codec
Summary(de):    Adaptiver Multi-Rate - Weitband (AMR-WB) Sprachcodec
Version:        %{ver}
Release:        2.1
License:        Commercial
Group:          System/Libraries
Url:            http://www.penguin.cz/~utx/amr

Source0:        amrwb-7.0.0.3.tar.bz2
Source1:        26204-700.zip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       %{libname} = %{version}-%{release}
BuildRequires:  glibc-devel
BuildRequires:  gcc
BuildRequires:  wget
BuildRequires:  unzip

%description
Adaptive Multi-Rate Wideband decoder and encoder library.
(3GPP TS 26.204 V7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26204.htm

%description -l de
Adaptiver Multi-Rate weitbandige decoding und encoding Bibliothek.
(3GPP TS 26.204 V7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26204.htm


%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of amrwb
Summary(de):    Bibliotheken zu amrwb
Provides:       %{lib} = %{version}-%{release}

%description -n %{libname}
Adaptive Multi-Rate Wideband decoder and encoder library.
Shared library part (3GPP TS 26.204 V7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26204.htm


%description -n %{libname} -l de
Adaptiver Multi-Rate weitbandige decoding und encoding Bibliothek.
Bibliotheken (3GPP TS 26.204 V7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26204.htm


%package -n %{lib}-devel
Summary:        Adaptive Multi-Rate - Wideband (AMR-WB) Speech Codec Developer Package
Summary(de):    Adaptiver Multi-Rate - Weitband (AMR-WB) Sprachcodec Entwicklerpaket
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}-%{release}
Requires:       glibc-devel
Obsoletes:      amrwb-devel
Provides:       amrwb-devel
# Packmandepends: amrnb

%description -n %{lib}-devel
Adaptive Multi-Rate Wideband decoder and encoder library,
Developer Package. (3GPP TS 26.204 V7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26204.htm

%description -n %{lib}-devel -l de
Adaptiver Multi-Rate weitbandige decoding und encoding Bibliothek,
Entwicklerpaket. (3GPP TS 26.204 V7.0.0)

http://www.3gpp.org/ftp/Specs/html-info/26204.htm

%debug_package

%prep
%setup
cp %{SOURCE1} .

%build
%configure
%__make %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libname}
%if 0%{?suse_version}
%run_ldconfig
%else
/sbin/ldconfig
%endif

%postun -n %{libname}
%if 0%{?suse_version}
%run_ldconfig
%else
/sbin/ldconfig
%endif

%files
%defattr (-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO readme.txt
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib}-devel
%defattr (-, root, root)
%{_includedir}/amrwb
%{_libdir}/*.so
%{_libdir}/*.*a

%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

